Package org.eclipse.mat.ibmvm.acquire

# Enum DumpType

java.lang.Object
java.lang.Enum<DumpType>
org.eclipse.mat.ibmvm.acquire.DumpType

All Implemented Interfaces:
  `Serializable`, `Comparable<DumpType>`, `java.lang.constant.Constable`

public enum DumpType extends Enum<DumpType>
Used for selecting the appropriate dump type

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HEAP`
`HPROF`
`JAVA`
`SYSTEM`

## Method Summary

Modifier and Type
Method
Description
`static DumpType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DumpType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SYSTEM

public static final DumpType SYSTEM

### HEAP

public static final DumpType HEAP

### JAVA

public static final DumpType JAVA

### HPROF

public static final DumpType HPROF

## Method Details

### values

public static DumpType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DumpType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null